function MUW2

% http://geometrie.hs-nb.de/MATLAB-Programme/MUW2.m   Bearbeitungsstand: 26.4.2004
% (C) Martin Nitschke, nitschke@hs-nb.de

clc;
close('all')
global ax
ax=[inf -inf inf -inf];
deg=pi/180;
t=[0:360]*deg;
t0=220*deg;
t1=330*deg;
t2=(t0+t1+180*deg)/2;
t3=0.4*t0+0.6*t1;
P=[0 cos([t1 t2 t0]) 0
   0 sin([t1 t2 t0]) 0];
Q=[cos(t3)
   sin(t3)];
K=[cos(t);sin(t)];
drawPolygon(@plot,K,'k')
hold('on')
drawPolygon(@plot,P,'k','linewidth',1.5)
drawPolygon(@plot,[Q P(:,[3 4]) Q],'k','linewidth',0.5)
Schrift([0;0],'\it\beta','HorizontalAlignment','center','VerticalAlignment','top')
Schrift([cos(t2);sin(t2)],'\it\alpha_{  }','HorizontalAlignment','right','VerticalAlignment','top')
Schrift(Q,'\it\delta^{ }','HorizontalAlignment','center','VerticalAlignment','bottom')
hold('off')
axis('off')
axis('equal')
axis(ax)
print('-deps','MUW2')

function drawPolygon(draw,P,varargin);
global ax
feval(draw,P(1,:),P(2,:),varargin{:})
if min(P(1,:))<ax(1)
  ax(1)=min(P(1,:));
end
if max(P(1,:))>ax(2)
  ax(2)=max(P(1,:));
end
if min(P(2,:))<ax(3)
  ax(3)=min(P(2,:));
end
if max(P(2,:))>ax(4)
  ax(4)=max(P(2,:));
end

function Schrift(P,txt,varargin)
text(P(1),P(2),txt,'FontName','TimesNewRoman','FontSize',24,varargin{:});
