function RechteckParallCav

% http://geometrie.hs-nb.de/MATLAB-Programme/RechteckParallCav.m   Bearbeitungsstand: 17.10.2004
% (C) Martin Nitschke, nitschke@hs-nb.de

clc;
close('all')
deg=pi/180;
a=5;
h=3;
A=[0;0];
Parallelogramm(A,a,h,90*deg);
A(1)=A(1)+1.1*a;
hold('on')
for alpha=[80:-10:10]*deg
  Parallelogramm(A,a,h/sin(alpha),alpha);
  A(1)=A(1)+1.1*a;
end
hold('off')
axis('equal')
axis([0 A(1)+h*cot(alpha) 0 h])
axis('off')
print('-deps','RechteckParallCav')

function Parallelogramm(A,a,b,alpha)
B=A+[a;0];
D=A+b*[cos(alpha);sin(alpha)];
C=D+B-A;
PolygonF([A B C D A],0.875*[1 1 1],'EdgeColor',0.875*[1 1 1])

function PolygonF(P,varargin);
fill(P(1,:),P(2,:),varargin{:})
