function Zylinder

% http://geometrie.hs-nb.de/MATLAB-Programme/Zylinder.m   Bearbeitungsstand: 3.3.2005
% (C) Martin Nitschke, nitschke@hs-nb.de

global ax
ax=[inf -inf inf -inf inf -inf];
clc;
close('all')
c=inline('3+sin(3*t).*cos(5*t)./(1+sin(exp(t)).^2)','t');
k=inline('3','t');
M1=[0;0;0];
M2=[0;0;10];
hold('on')
Zyl(M1,M2,c,32)

M1=[M1(1)+8;0;M1(3)];
M2=[M1(1)+9;M2(2:3)];
Zyl(M1,M2,c,48)

M1=[M1(1)+16;0;M1(3)];
M2=[M1(1:2);M2(3)];
Zyl(M1,M2,k,32)

M1=[M1(1)+8;0;M1(3)];
M2=[M1(1)+9;M2(2:3)];
Zyl(M1,M2,k,48)

M1=[M1(1)+16;0;M1(3)];
M2=[M1(1:2);M2(3)];
Zyl(M1,M2,c,6)

M1=[M1(1)+8;0;M1(3)];
M2=[M1(1)+9;M2(2:3)];
Zyl(M1,M2,c,6)
hold('off')
axis('equal')
view(0,30)
axis(ax)
axis('off')
print('-deps','Zylinder','-zbuffer')

function Zyl(M1,M2,c,n)
global ax
v=M2-M1;
t=linspace(0,2*pi,n);
s=[0 1];
[T,S]=meshgrid(t,s);
X=M1(1)+S*v(1)+c(T).*cos(T);
Y=M1(2)+S*v(2)+c(T).*sin(T);
Z=M1(3)+S*v(3);
surf(X,Y,Z,T)
c=0.5+0.375*(sin(pi*[0:length(t)-1]/(length(t)-1))).^2;
colormap(repmat(c',1,3));
fill3(X(1,:),Y(1,:),Z(1,:),mean(c)*[1 1 1])
fill3(X(end,:),Y(end,:),Z(end,:),mean(c)*[1 1 1],'erase','none')
if min(X(:))<ax(1)
  ax(1)=min(X(:));
end
if max(X(:))>ax(2)
  ax(2)=max(X(:));
end
if min(Y(:))<ax(3)
  ax(3)=min(Y(:));
end
if max(Y(:))>ax(4)
  ax(4)=max(Y(:));
end
if min(Z(:))<ax(5)
  ax(5)=min(Z(:));
end
if max(Z(:))>ax(6)
  ax(6)=max(Z(:));
end
