function Pol3dBsp

% http://geometrie.hs-nb.de/MATLAB-Programme/Pol3dBsp.m   Bearbeitungsstand: 14.9.2004
% (C) Martin Nitschke, nitschke@hs-nb.de

clc
x=[5 2 0 -2 -5 -2 0 2];
y=[0 3 5 3 0 -3 -5 -3];
z=[4 3 2 1 0 -1 -2 -3];
[lam,rho,h]=cart2pol(x,y,z);
[lamD,lamM,lamS]=rad2dms(abs(lam));
lamStr=sprintf('%4.0f^\\circ%02.0f''%02.0f''''\n',[sign(lam).*lamD;lamM;lamS])
[lam,phi,h]=cart2sph(x,y,z);
[phiD,phiM,phiS]=rad2dms(abs(phi));
phiStr=sprintf('%4.0f^\\circ%02.0f''%02.0f''''\n',[sign(phi).*phiD;phiM;phiS])
the=pi/2-phi;
[theD,theM,theS]=rad2dms(abs(the));
theStr=sprintf('%4.0f^\\circ%02.0f''%02.0f''''\n',[sign(the).*theD;theM;theS])

function [d,m,s]=rad2dms(rad)
D=rad/pi*180;
d=fix(D);
M=(D-d)*60;
m=fix(M);
s=(M-m)*60;
