function Pythagoras

% http://geometrie.hs-nb.de/MATLAB-Programme/Pythagoras.m   Bearbeitungsstand: 15.2.2005
% (C) Martin Nitschke, nitschke@hs-nb.de

clc;
close('all')
global ax
ax=[inf -inf inf -inf];
a=4;
b=3;
c=sqrt(a^2+b^2);
A=[0;0];
B=A+[a;0];
C=B+[b;0];
D=C+[0;a];
E=D+[0;b];
F=E-[a;0];
G=F-[b;0];
H=G-[0;a];
drawPolygon(@fill,[A C E G],0.875*[1 1 1])
hold('on')
drawPolygon(@fill,[B D F H],[1 1 1])
hold('off')
Schrift((A+B)/2,'\ita','HorizontalAlignment','center','VerticalAlignment','top')
Schrift((B+C)/2,'\itb','HorizontalAlignment','center','VerticalAlignment','top')
Schrift((C+D)/2,'\ita','HorizontalAlignment','center','VerticalAlignment','top','Rotation',Rot(C,D))
Schrift((D+E)/2,'\itb','HorizontalAlignment','center','VerticalAlignment','top','Rotation',Rot(D,E))
Schrift((E+F)/2,'\ita','HorizontalAlignment','center','VerticalAlignment','bottom','Rotation',Rot(E,F))
Schrift((F+G)/2,'\itb','HorizontalAlignment','center','VerticalAlignment','bottom','Rotation',Rot(F,G))
Schrift((G+H)/2,'\ita','HorizontalAlignment','center','VerticalAlignment','bottom','Rotation',Rot(G,H))
Schrift((H+A)/2,'\itb','HorizontalAlignment','center','VerticalAlignment','bottom','Rotation',Rot(H,A))
Schrift((B+D)/2,'\itc','HorizontalAlignment','center','VerticalAlignment','bottom','Rotation',Rot(B,D))
Schrift((D+F)/2,'\itc','HorizontalAlignment','center','VerticalAlignment','top','Rotation',Rot(D,F))
Schrift((F+H)/2,'\itc','HorizontalAlignment','center','VerticalAlignment','top','Rotation',Rot(F,H))
Schrift((H+B)/2,'\itc','HorizontalAlignment','center','VerticalAlignment','bottom','Rotation',Rot(H,B))
axis('off')
axis('equal')
axis(ax+[0 0 -0.5 0.5])
print('-depsc','Pythagoras')

function drawPolygon(draw,P,varargin);
global ax
feval(draw,P(1,:),P(2,:),varargin{:})
if min(P(1,:))<ax(1)
  ax(1)=min(P(1,:));
end
if max(P(1,:))>ax(2)
  ax(2)=max(P(1,:));
end
if min(P(2,:))<ax(3)
  ax(3)=min(P(2,:));
end
if max(P(2,:))>ax(4)
  ax(4)=max(P(2,:));
end

function Schrift(P,txt,varargin)
text(P(1),P(2),txt,'FontName','TimesNewRoman','FontSize',60,varargin{:});

function r=Rot(a,b)
deg=pi/180;
r=atan2(b(2)-a(2),b(1)-a(1))/deg;
if r<0
  r=r+180;
end
if r>90
  r=r-180;
end
