function RechteckParall

% http://geometrie.hs-nb.de/MATLAB-Programme/RechteckParall.m   Bearbeitungsstand: 17.10.2004
% (C) Martin Nitschke, nitschke@hs-nb.de

global ax
ax=[inf -inf inf -inf];
clc;
close('all')
deg=pi/180;
a=5;
b=3;
A=[0;0];
Parallelogramm(A,a,b,90*deg);
A(1)=A(1)+1.1*a;
hold('on')
alpha=[80:-10:10]*deg;
for k=1:length(alpha)
  Parallelogramm(A,a,b,alpha(k));
  if mod(k,3)==2
    A=[0;A(2)-1.1*b*sin(alpha(k))];
  else
    A(1)=A(1)+1.1*a;
  end
end
hold('off')
axis('equal')
axis(ax)
axis('off')
print('-deps','RechteckParall')

function Parallelogramm(A,a,b,alpha)
B=A+[a;0];
D=A+b*[cos(alpha);sin(alpha)];
C=D+B-A;
Polygon([A B C D A],'k')

function Polygon(P,varargin);
global ax
ax=[min(ax(1),min(P(1,:))) max(ax(2),max(P(1,:))) min(ax(3),min(P(2,:))) max(ax(4),max(P(2,:)))];
plot(P(1,:),P(2,:),varargin{:})
